Package org.flowable.job.api

# Interface DeadLetterJobQuery

All Superinterfaces:
  `BaseJobQuery<DeadLetterJobQuery,Job>`, `Query<DeadLetterJobQuery,Job>`

public interface DeadLetterJobQuery extends BaseJobQuery<DeadLetterJobQuery,Job>
Allows programmatic querying of `Job`s.

Author:
  Joram Barrez, Tijs Rademakers

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.flowable.common.engine.api.query.Query

  `Query.NullHandlingOnOrder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DeadLetterJobQuery`
  `executable()`
  Only select jobs which are executable, ie. duedate is null or duedate is in the past
  `DeadLetterJobQuery`
  `externalWorkers()`
  Only select external worker jobs.
  `DeadLetterJobQuery`
  `messages()`
  Only select jobs that are messages.
  `DeadLetterJobQuery`
  `timers()`
  Only select jobs that are timers.

  ### Methods inherited from interface org.flowable.job.api.BaseJobQuery

  `caseDefinitionId, caseDefinitionKey, caseInstanceId, category, categoryLike, correlationId, duedateHigherThan, duedateLowerThan, elementId, elementName, exceptionMessage, executionId, handlerType, handlerTypes, jobId, jobIds, jobTenantId, jobTenantIdLike, jobWithoutTenantId, orderByExecutionId, orderByJobCreateTime, orderByJobDuedate, orderByJobId, orderByJobRetries, orderByProcessInstanceId, orderByTenantId, planItemInstanceId, processDefinitionId, processDefinitionKey, processInstanceId, scopeDefinitionId, scopeId, scopeType, subScopeId, withException, withoutProcessInstanceId, withoutScopeId, withoutScopeType`

  ### Methods inherited from interface org.flowable.common.engine.api.query.Query

  `asc, count, desc, list, listPage, orderBy, orderBy, singleResult`

- ## Method Details

  - ### executable

    DeadLetterJobQuery executable()
    Only select jobs which are executable, ie. duedate is null or duedate is in the past

  - ### timers

    DeadLetterJobQuery timers()
    Only select jobs that are timers. Cannot be used together with `messages()` or `externalWorkers()`

  - ### messages

    DeadLetterJobQuery messages()
    Only select jobs that are messages. Cannot be used together with `timers()` or `externalWorkers()`

  - ### externalWorkers

    DeadLetterJobQuery externalWorkers()
    Only select external worker jobs. Cannot be used together with `timers()` or `messages()`